﻿B4A=true
Group=Default Group
ModulesStructureVersion=1
Type=Class
Version=9.85
@EndOfDesignText@
#Region Shared Files
#CustomBuildAction: folders ready, %WINDIR%\System32\Robocopy.exe,"..\..\Shared Files" "..\Files"
'Ctrl + click to sync files: ide://run?file=%WINDIR%\System32\Robocopy.exe&args=..\..\Shared+Files&args=..\Files&FilesSync=True
#End Region

Sub Class_Globals
	Private Root As B4XView
	Private xui As XUI
	Private clv1 As CustomListView
	Private clv2 As CustomListView
	Private imgfiles As List = Array As String("white_rook.png","white_knight.png","white_bishop.png", _
											   "white_queen.png","white_king.png","white_bishop.png")
	Private iv1 As ImageView
End Sub

Public Sub Initialize
	B4XPages.GetManager.LogEvents = True
End Sub

Private Sub B4XPage_Created (Root1 As B4XView)
	Root = Root1
	Root.LoadLayout("MainPage")
	B4XPages.SetTitle(Me,"CLV_cards")
	fill_clv1
	fill_clv2
End Sub
Private Sub fill_clv1
	For x = 0 To 9
		For i = 0 To 2
			Dim hitem As Int = Rnd(50dip,300dip)
			Dim pnl As B4XView = set_clv_item(hitem,imgfiles.Get(i))
			clv1.Add(pnl, 0)
		Next
	Next
End Sub
Private Sub fill_clv2
	For x = 0 To 9
		For i = 0 To 2
			Dim hitem As Int = Rnd(50dip,300dip)
			Dim pnl As B4XView = set_clv_item(hitem,imgfiles.Get(i+3))
			clv2.Add(pnl, 0)
		Next
	Next	
End Sub

Private Sub set_clv_item(hitem As Int,imgfile As String) As B4XView
	Dim pnl As B4XView = xui.CreatePanel("")
	pnl.LoadLayout("clv_item_layout")
	pnl.SetLayoutAnimated(0, 0dip, 0dip, 150dip, hitem)
	pnl.SetColorAndBorder(xui.Color_Transparent,1dip,xui.Color_Blue,25dip)
	Dim iv1 As ImageView
	iv1.Initialize("")
	iv1.Gravity = Gravity.FILL
	iv1.Bitmap = LoadBitmapResize(File.DirAssets,imgfile,150dip,hitem,True)
	iv1.SetLayout(0,0,pnl.Width,pnl.Height-40dip)
	pnl.AddView(iv1,0,0,pnl.Width,pnl.Height-40dip)
	Dim lbl As Label
	lbl.Initialize("")
	lbl.Text = imgfile
	pnl.AddView(lbl,0,pnl.Height-40dip,150dip,35dip)
	Return pnl
End Sub
Private Sub clv1_ItemClick (Index As Int, Value As Object)
	
End Sub
Private Sub clv2_ItemClick (Index As Int, Value As Object)
	
End Sub
Private Sub clv1_ScrollChanged (Offset As Int)
	clv2.sv.ScrollViewOffsetY = Offset
End Sub
Private Sub clv2_ScrollChanged (Offset As Int)
	clv1.sv.ScrollViewOffsetY = Offset
End Sub

